#include "formula.h"

#include <QtGui/QAction>
#include <QtGui/QMouseEvent>
#include <QtGui/QPainter>

#include <QtCore/QDebug>

#include "cell.h"

namespace Kritzel
{

class Formula::Private
{
public:
    Private()
    {
        /* */
    }
    ~Private() { }

public:
    Formula *q;
};

Formula::Formula(QWidget *parent)
    : QWidget(parent)
    , d(new Private)
{
    d->q = this;
    setMouseTracking(true);
    setContextMenuPolicy(Qt::ActionsContextMenu);
    QAction *testAction = new QAction("Test", this);
    addAction(testAction);

    int x = 4;
    for (int p = 0; p < 10; ++p) {
        const int y = 4;
        Cell *cell = new Cell(this);
        cell->resize(cell->sizeHint());
        cell->move(x, y);
        x += cell->width() + 2;
    }
}

Formula::~Formula()
{
    delete d;
}

void Formula::mousePressEvent(QMouseEvent *event)
{
    if (event->button() == Qt::LeftButton) {
    }
}

void Formula::mouseDoubleClickEvent(QMouseEvent *event)
{
    if (event->button() == Qt::LeftButton) {
    }
}

void Formula::mouseReleaseEvent(QMouseEvent *event)
{
    if (event->button() == Qt::LeftButton) {
    }
}

void Formula::mouseMoveEvent(QMouseEvent *event)
{
}

void Formula::paintEvent(QPaintEvent */*pe*/)
{
    QPainter p(this);

    p.fillRect(rect(), Qt::white);
}

} // namespace Kritzel

